package com.chenyang.nse.bussiness.entity.orm.table.core.maskingself;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_MASKINGSELF_TASK"
)
public class TCoreMaskingselfTask extends TBaseEntity {
   private static final long serialVersionUID = -3369187629242506042L;
   private String taskname;
   private Date createtime;
   private String userid;
   private String engineid;
   private String fdname;
   private String inserttype;

   public TCoreMaskingselfTask() {
   }

   public TCoreMaskingselfTask(String taskname, Date createtime, String userid, String engineid, String fdname, String inserttype) {
      this.taskname = taskname;
      this.createtime = createtime;
      this.userid = userid;
      this.engineid = engineid;
      this.fdname = fdname;
      this.inserttype = inserttype;
   }

   public String getTaskname() {
      return this.taskname;
   }

   public void setTaskname(String taskname) {
      this.taskname = taskname;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getUserid() {
      return this.userid;
   }

   public void setUserid(String userid) {
      this.userid = userid;
   }

   public String getEngineid() {
      return this.engineid;
   }

   public void setEngineid(String engineid) {
      this.engineid = engineid;
   }

   public String getFdname() {
      return this.fdname;
   }

   public void setFdname(String fdname) {
      this.fdname = fdname;
   }

   public String getInserttype() {
      return this.inserttype;
   }

   public void setInserttype(String inserttype) {
      this.inserttype = inserttype;
   }

   public String toString() {
      return "TCoreMaskingselfTask [taskname=" + this.taskname + ", createtime=" + this.createtime + ", userid=" + this.userid + ", engineid=" + this.engineid + ", fdname=" + this.fdname + ", inserttype=" + this.inserttype + "]";
   }
}
